PrefabFiles = {
	"mag",
	"fishstick",
}

Assets = {

    Asset( "IMAGE", "images/saveslot_portraits/mag.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mag.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mag.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mag.xml" ),

    Asset( "IMAGE", "bigportraits/mag.tex" ),
    Asset( "ATLAS", "bigportraits/mag.xml" ),

	Asset( "IMAGE", "images/map_icons/fishstick.tex" ),
	Asset( "ATLAS", "images/map_icons/fishstick.xml" ),

	Asset( "IMAGE", "images/map_icons/mag.tex" ),
	Asset( "ATLAS", "images/map_icons/mag.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_mag.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_mag.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_ghost_mag.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_mag.xml" ),

	Asset( "IMAGE", "images/inventoryimages/fishstick.tex" ),
    Asset( "ATLAS", "images/inventoryimages/fishstick.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/fishstick_silho.tex" ),
    Asset( "ATLAS", "images/inventoryimages/fishstick_silho.xml" ),
}

RemapSoundEvent( "dontstarve/characters/Magikarp/death_voice", "Magikarp/characters/Magikarp/death_voice" )
RemapSoundEvent( "dontstarve/characters/Magikarp/hurt", "Magikarp/characters/Magikarp/hurt" )
RemapSoundEvent( "dontstarve/characters/Magikarp/talk_LP", "Magikarp/characters/Magikarp/talk_LP" )

GetPlayer = GLOBAL.GetPlayer
ACTIONS = GLOBAL.ACTIONS

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.mag = "Magikarp the Fish"
STRINGS.CHARACTER_NAMES.mag = "Magikarp"
STRINGS.CHARACTER_DESCRIPTIONS.mag = "The fish is here"
STRINGS.CHARACTER_QUOTES.mag = "\"This... is a fish.\""

-- Custom speech strings
STRINGS.CHARACTERS.MAG = require "speech_mag"

-- The character's name as appears in-game
STRINGS.NAMES.MAG = "Magikarp"

-- Custom items
STRINGS.NAMES.FISHSTICK = "Fish-stick"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FISHSTICK = "Looks like someone jabbed a fish-stick"
STRINGS.RECIPE_DESC.FISHSTICK = "Smells like fish!"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MAG =
{
	GENERIC = "FISH, FISH!",
	ATTACKER = "KARP, KARP!",
	MURDERER = "WHAAA KARP!",
	REVIVER = "I LIEK KARP!",
	GHOST = "Me need fish!",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "mag")


AddMinimapAtlas("images/map_icons/mag.xml")
AddMinimapAtlas("images/map_icons/fishstick.xml")

AddModCharacter("mag")
